#pragma once
#include "my_wifi.h"
#include "config.h"
#include <ESPAsyncTCP.h>
#include <WiFiUdp.h>

#ifdef RECORDER_ENABLE
class Recorder {
private:
	WiFiUDP _udp;
	AsyncServer* _server;
	AsyncClient* _client = NULL;
	uint16_t _client_port = 0;
	size_t _buffer_len;
	char* _buffer;
	uint16_t _msgid;
	boolean _skip_next_frame = false;
public:
	Recorder();
	void loop();
};
#endif
